Package Gnumed :: Package wxpython :: Module gmEMRBrowser |
[frames] | no frames]

# Module gmEMRBrowser

source code

GNUmed patient EMR tree browser.

Version: $Revision: 1.111 $

Author: cfmoro1976@yahoo.es, sjtan@swiftdsl.com.au, Karsten.Hilbert@gmx.net

License: GPL

Classes
| cEMRTree This wx.TreeCtrl derivative displays a tree view of the medical record.
| cScrolledEMRTreePnl A scrollable panel holding an EMR tree.
| cSplittedEMRTreeBrowserPnl A splitter window holding an EMR tree.
| cEMRJournalPanel

Functions
export_emr_to_ascii(parent=None) Dump the patient's EMR from GUI client @param parent - The parent widget @type parent - A wx.Window instance | source code

Imports: sys, os, StringIO, codecs, logging, wx, gmI18N, gmDispatcher, gmExceptions, gmTools, gmPatientExporter, gmEMRStructItems, gmPerson, gmSOAPimporter, gmPersonSearch, gmGuiHelpers, gmEMRStructWidgets, gmSOAPWidgets, gmAllergyWidgets, gmDemographicsWidgets, gmNarrativeWidgets, gmPatSearchWidgets, gmVaccWidgets, gmFamilyHistoryWidgets, wxgScrolledEMRTreePnl, wxgSplittedEMRTreeBrowserPnl